Get external merchant shipment
curl --request GET \
--url https://api-test.drop-hub.com/v2/external/shipments/{shipmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-test.drop-hub.com/v2/external/shipments/{shipmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-test.drop-hub.com/v2/external/shipments/{shipmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shipmentNumber": "<string>",
"externalReference": "<string>",
"state": "PENDING_APPROVAL",
"recipientName": "<string>",
"maskedRecipientPhone": "<string>",
"totalWeightKilograms": 123,
"declaredValue": 123,
"codAmount": 123,
"currency": "<string>",
"paymentMethod": "PREPAID",
"pickupWindowStart": "2023-11-07T05:31:56Z",
"pickupWindowEnd": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z",
"version": 1,
"destination": {
"addressLine": "<string>",
"cityCode": "<string>",
"latitude": 0,
"longitude": 0
},
"pickup": {
"addressLine": "<string>",
"cityCode": "<string>",
"latitude": 0,
"longitude": 0
},
"items": [
{
"description": "<string>",
"quantity": 5000,
"weightKilograms": 123,
"lengthCentimetres": 1,
"widthCentimetres": 1,
"heightCentimetres": 1
}
],
"requirements": [
"<string>"
],
"timelineMedia": [
{
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purpose": "SHIPMENT_CREATION_EVIDENCE",
"sortOrder": 49
}
]
}{
"type": "https://api.drop-hub.com/problems/authentication-required",
"title": "Authentication required",
"status": 401,
"detail": "Authentication is required for this resource.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "AUTHENTICATION_REQUIRED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}{
"type": "https://api.drop-hub.com/problems/access-denied",
"title": "Access denied",
"status": 403,
"detail": "Access to this resource is denied.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "ACCESS_DENIED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}{
"type": "https://api.drop-hub.com/problems/access-denied",
"title": "Access denied",
"status": 403,
"detail": "Access to this resource is denied.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "ACCESS_DENIED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}{
"type": "https://api.drop-hub.com/problems/access-denied",
"title": "Access denied",
"status": 403,
"detail": "Access to this resource is denied.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "ACCESS_DENIED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}External Shipments
Get external merchant shipment
Get external merchant shipment.
GET
/
v2
/
external
/
shipments
/
{shipmentId}
Get external merchant shipment
Authorizations
OAuth 2.0 client-credentials flow for external machine-to-machine integrations.
Headers
Preferred response language when a localized representation is available.
Maximum string length:
64Example:
"en"
Path Parameters
Response
Merchant-safe canonical shipment
Maximum string length:
128Available options:
PENDING_APPROVAL, READY_FOR_DISPATCH, OFFERED, ACCEPTED, DISPATCH_UNRESOLVED, PICKED_UP, OUT_FOR_DELIVERY, DELIVERED, DELIVERY_FAILED, CANCELLED Only the final four digits are visible.
Available options:
PREPAID, COD Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Existing READY assets attached only to the resulting shipment.created event.
Maximum array length:
10Show child attributes
Show child attributes
⌘I
